## nvidia-graphics-drivers 195.36.31

=== debian/changelog ===
nvidia-graphics-drivers (195.36.31-6squeeze2) stable; urgency=low

  * CVE-2012-4225.  (Closes: #684781)
    Add upstream patch nvidia-blacklist-vga-pmu-registers-195.diff:
    Fix exploitable local privilege escalation through VGA window manipulation
    via the device nodes that allows access to arbitrary physical memory.

 -- Andreas Beckmann <debian@abeckmann.de>  Fri, 17 Aug 2012 00:43:36 +0200

nvidia-graphics-drivers (195.36.31-6squeeze1) stable-proposed-updates; urgency=medium

  * Security fix (backported from 195.36.31-7).  (Closes: #609338)
    Apply upstream patch NVIDIA_kernel-260.19.34-778465.diff to fix
    information leak in the kernel module: kernel memory was returned
    uninitialized to user space.
  * CVE-2012-0946 (backported from 295.40-1):
    Add upstream patch nvidia-blacklist-register-mapping-195.diff:
    Closed a security vulnerability which made it possible for attackers to
    reconfigure GPUs to gain access to arbitrary system memory. For further
    details, see: http://nvidia.custhelp.com/app/answers/detail/a_id/3109
  * Let the bug-script collect detailed information about OpenGL and NVIDIA
    libraries and their symlinks, diversions and alternatives currently found
    on the system.  Also list files remaining from using the nvidia-installer.
    Report status of more related packages.

 -- Andreas Beckmann <debian@abeckmann.de>  Fri, 15 Jun 2012 11:40:37 +0200

nvidia-graphics-drivers (195.36.31-6) unstable; urgency=low

  * If both original and diverted file exist when removing obsolete
    diversions, move the original file (which is not owned by any package) out
    of the way.  This problem may originate from incorrect diversion creation
    before lenny (and was not noticed or fixed in lenny) or having used the
    nvidia installer to install the driver in the past.  (Closes: #600327)
  * Add a NEWS entry recommending to update all pre-squeeze nvidia packages
    before switching to a -legacy- variant.  (Closes: #596843)
  * Update gdm/kdm insufficient timeout NEWS entry: mention xdm (no workaround
    needed) and that kdm was fixed in 4:4.4.5-4.
  * Document the warnings emitted by the maintainer scripts in README.Debian.
  * Install the upstream README.txt in the dkms package.  It is referenced by
    the package description.  Add a README.Debian, too.  (Closes: #602733)
  * Add a note about the driver not working under the Xen hypervisor to
    README.Debian.  (See: #570365)

 -- Andreas Beckmann <debian@abeckmann.de>  Wed, 17 Nov 2010 14:43:29 -0800

nvidia-graphics-drivers (195.36.31-5) unstable; urgency=low

  [ Andreas Beckmann ]
  * Drop Breaks: xserver-xorg-core (<< 2:1.6).
    There is no file name conflict between /usr/lib/libGLcore.so.1 (from
    NVIDIA) and /usr/lib/xorg/modules/extensions/libGLcore.so (only in
    xserver-xorg-core << 2:1.6) that could cause the wrong library to be
    loaded by NVIDIA's libgl.so.
  * Change xserver dependency to 'xorg-video-abi-6.0 | xserver-xorg-core
    (<< 2:1.7.7)' as the driver is supposed to work with older abi versions,
    too.  This is not needed for squeeze, but helps backports to lenny.
  * Add Pre-Depends: libc6-i386 (>= 2.9-18) to all packages handling files in
    /usr/lib32.
  * Restrict nvidia-opencl-common Recommends: nvidia-opencl-icd-ia32 to amd64.
  * libgl1-nvidia-alternatives needs to Breaks: old nvidia-glx*-dev packages,
    some were shipping a libGL.so symlink which may cause problems on partial
    upgrades.
  * libgl*-nvidia-alternatives* needs to Depends: dpkg (>= 1.15) for using
    dpkg-divert --listpackage in the postinst script.

 -- Andreas Beckmann <debian@abeckmann.de>  Sun, 10 Oct 2010 20:53:35 +0200

nvidia-graphics-drivers (195.36.31-4) unstable; urgency=low

  [ Andreas Beckmann ]
  * Remove /emul directories if empty after removing old NVIDIA files in
    the nvidia-glx-ia32 postinst.
  * Update versioned Breaks for the new NVIDIA legacy releases.
  * Add Conflicts: fglrx-driver, fglrx-glx, fglrx-glx-ia32 to the
    libgl*-nvidia-alternatives packages, too.  (Closes: #597443)
  * libgl1-nvidia-alternatives-ia32: abort before configuring on broken
    systems, i.e. /usr/lib32 being a symlink pointing to
    /emul/ia32-linux/usr/lib (reinstall libc6-i386 to fix)
  * debian/*.postinst(configure): abort early if DPKG_MAINTSCRIPT_PACKAGE is
    not set (usually if called from dpkg-reconfigure, see #560317)
  * nvidia-glx{,-ia32}: print warning in postinst if unknown
    /usr/lib{,32}/libGL.so.*.* exist.  (Closes: #596898)
  * nvidia-glx: depend on xorg-video-abi-6.0 as suggested by Xorg maintainers.
  * libgl1-nvidia-glx: don't remove alternative owned by libgl1-nvidia-dev.
  * NEWS: rephrase legacy 71xx note because these drivers no longer work with
    current Xorg.
  * nvidia-kernel-source: lower Recommends: nvidia-glx to Suggests to avoid
    pulling nvidia-kernel-dkms into the system before the user had a chance to
    build a module (see #590221).
  * Add new patch 2.6.36-ioctl.patch to fix module build for kernel 2.6.36.
  * Add changelog entries missing due to concurrent development: 1.0.9625-2
    (experimental), 1.0.9625-1 (experimental) and 1.0.7174-4 (unstable).
  * Stop shipping libGL.so symlinks and handling alternatives involving them.
  * Stop shipping NVIDIA's copy of the OpenGL headers, depend on
    libgl1-mesa-dev instead.  NVIDIA will stop distributing the headers
    starting with the 260.xx release and recommends to use the official ones.
  * Transition from nvidia-glx-dev directly to libgl1-mesa-dev.
  * Drop the libgl1-nvidia-dev package (and stop shipping libXvMCNVIDIA.a).
  * Add myself to Uploaders.

  [ Russ Allbery ]
  * Remove Andres Mejia from Uploaders at his request.

 -- Andreas Beckmann <debian@abeckmann.de>  Fri, 24 Sep 2010 12:15:39 +0200

nvidia-graphics-drivers (195.36.31-3) unstable; urgency=low

  [ Andreas Beckmann ]
  * Remove workaround for dpkg-divert bug #581544, fixed in dpkg 1.15.8.

